Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.atom.endpoint
Class AtomInboundEndpoint

    java.lang.Object
      org.mule.endpoint.AbstractEndpoint
          org.mule.endpoint.DefaultInboundEndpoint
              org.mule.module.atom.endpoint.AtomInboundEndpoint

All Implemented Interfaces:
  Serializable, FlowConstructAware, ImmutableEndpoint, InboundEndpoint, Startable, Stoppable, MessageSource, MessageRequesting

    public class AtomInboundEndpoint

extends DefaultInboundEndpoint

An ATOM endpoint is used for polling an ATOM feed and processing the feed entries

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpoint
`logger, retryPolicyTemplate`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`AtomInboundEndpoint(boolean splitFeed, Date lastUpdate, List<String> acceptedMimeTypes, InboundEndpoint ie)`

Method Summary
`List<String>` | `getAcceptedMimeTypes()`
`Date` | `getLastUpdate()`
`boolean` | `isMimeSupported(String mime)`
`boolean` | `isProtocolSupported(String protocol)`
`boolean` | `isSplitFeed()`
`boolean` | `onMessage(MuleMessage message)`

Methods inherited from class org.mule.endpoint.DefaultInboundEndpoint
`createMessageProcessorChain, getExceptionListener, request, setExceptionListener, setFlowConstruct, setListener, start, stop`

Methods inherited from class org.mule.endpoint.AbstractEndpoint
`equal, equals, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessorChain, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, hashCode, isDeleteUnacceptedMessages, isDisableTransportTransformer, isReadOnly, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isReadOnly`

Constructor Detail

### AtomInboundEndpoint

    public AtomInboundEndpoint(boolean splitFeed,
                               Date lastUpdate,
                               List<String> acceptedMimeTypes,
                               InboundEndpoint ie)

Method Detail

### isSplitFeed

    public boolean isSplitFeed()

### getLastUpdate

    public Date getLastUpdate()

### getAcceptedMimeTypes

    public List<String> getAcceptedMimeTypes()

### isProtocolSupported

    public boolean isProtocolSupported(String protocol)

  Specified by:
    `isProtocolSupported` in interface `ImmutableEndpoint`
  Overrides:
    `isProtocolSupported` in class `AbstractEndpoint`

### onMessage

    public boolean onMessage(MuleMessage message)
                      throws MuleException

  Throws:
    `MuleException`

### isMimeSupported

    public boolean isMimeSupported(String mime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.